
#import <Cocoa/Cocoa.h>


@interface CalendarController : NSWindowController {
	// IBOutlets
	IBOutlet NSPopUpButton* controlMonth ;
	IBOutlet NSPopUpButton* controlYear ;
	
	IBOutlet NSView *matrixView;
	IBOutlet NSBox *matrixBox;
	
	NSButtonCell *protoCell;
	NSMatrix *matrixDays;
	NSCell *matrixCell;
	
	// properties
	int baseYear ;
	int baseMonth;
	
	int year ;
	int month ;
	int firstDayOfMonth;
}

- (IBAction) update:(id) sender;
- (IBAction) forward:(id)sender;
- (IBAction) backward:(id)sender;


-(void)createMatrix;
-(void)createCalendar;
@end
