
#import "weekDayLabel.h"


@implementation weekDayLabel


#define ROWS 1
#define COLUMNS 7

-(void)createMatrix {
	// Creating the Prototype
	protoCell = [[NSButtonCell alloc] init];
	[protoCell setButtonType:NSToggleButton];
	[protoCell setImage:[NSImage imageNamed:@"used.png"]];
	[protoCell setBordered:NO];
	[protoCell setTitle:@""];
	
	
	// Creating the Matrix
	NSRect matrixFrame = [matrixView frame];
	matrixDays = [[NSMatrix alloc] initWithFrame:matrixFrame
											mode:NSRadioModeMatrix
									   prototype:protoCell
									numberOfRows:ROWS numberOfColumns:COLUMNS ];
	
	
	[matrixDays setAutosizesCells:YES];
	
	[matrixDays setTarget:self];
	[matrixBox addSubview:matrixDays];
	[matrixView removeFromSuperview];
}

-(void)labelMatrix {
	matrixCell = [matrixDays cellAtRow:0 column:0];
	[matrixCell setTitle:@"Su"];
	matrixCell = [matrixDays cellAtRow:0 column:1];
	[matrixCell setTitle:@"Mo"];
	matrixCell = [matrixDays cellAtRow:0 column:2];
	[matrixCell setTitle:@"Tu"];
	matrixCell = [matrixDays cellAtRow:0 column:3];
	[matrixCell setTitle:@"We"];
	matrixCell = [matrixDays cellAtRow:0 column:4];
	[matrixCell setTitle:@"Th"];
	matrixCell = [matrixDays cellAtRow:0 column:5];
	[matrixCell setTitle:@"Fr"];
	matrixCell = [matrixDays cellAtRow:0 column:6];
	[matrixCell setTitle:@"Sa"];


}

-(void)awakeFromNib {
	[self createMatrix];
	[self labelMatrix];
}

@end
